Bug 1311743 - APIs for "taxed" objects only accept the full list of taxonomies
APIs for "taxed" objects only accept the full list of taxonomies
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API (Show other bugs)
6.0.4
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Shimon Shtein
Katello QA List
http://projects.theforeman.org/issues...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-24 16:01 EST by Tom McKay
Modified: 2018-05-15 01:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 13212 None None None 2016-04-22 12:47 EDT

  None (edit)
Description Tom McKay 2016-02-24 16:01:00 EST
The --organizations option only works when the _full_ set of organizations is specified. If just a single org is named, all other orgs are removed. This will not work for users with a reduced role since they cannot specify (or even know) all the orgs necessary to merely update the template.
Comment 1 Tom McKay 2016-02-24 16:01:02 EST
Created from redmine issue http://projects.theforeman.org/issues/13212
Comment 3 Bryan Kearney 2016-03-02 08:08:14 EST
Upstream bug assigned to sshtein@redhat.com
Comment 4 Bryan Kearney 2016-07-26 11:25:24 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 5 Bryan Kearney 2016-07-26 11:35:10 EDT
Moving 6.2 bugs out to sat-backlog.

Note You need to log in before you can comment on or make changes to this bug.